%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         abbot
%global repo            go-http-auth
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          c0ef4539dfab4d21c8ef20ba2924f9fc6f186d35
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Basic and Digest HTTP Authentication for golang http
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
This is an implementation of HTTP Basic
and HTTP Digest authentication in Go language.
It is designed as a simple wrapper for http.RequestHandler functions.

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/examples) = %{version}-%{release}

%description devel
This is an implementation of HTTP Basic
and HTTP Digest authentication in Go language.
It is designed as a simple wrapper for http.RequestHandler functions.

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav examples %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav test.htdigest %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav test.htpasswd %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Thu Dec 18 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.gitc0ef453
- First package for Fedora
  resolves: #1175673

